Browse Source

RPM packaging: update build scripts

tags/r14.0.0
François Andriot 4 years ago
parent
commit
a3bdc3b32b
100 changed files with 62 additions and 1125 deletions
  1. 21
    21
      redhat/Makefile.r14
  2. 18
    18
      redhat/Makefile.v3.5.13-sru
  3. 6
    0
      redhat/build/configure_repository.sh
  4. 2
    2
      redhat/build/get_latest_tarball_filename.sh
  5. 4
    1
      redhat/build/get_rpm_package_name.sh
  6. 3
    3
      redhat/build/get_specfile.sh
  7. 0
    391
      redhat/buildall-r14.sh
  8. 0
    427
      redhat/buildall-sru.sh
  9. 8
    6
      redhat/buildenv.sh
  10. 0
    129
      redhat/components-3.5.13.txt
  11. 0
    126
      redhat/components.txt
  12. 0
    1
      redhat/main
  13. 0
    0
      redhat/main/tde-i18n/tde-i18n-14.0.0.spec
  14. 0
    0
      redhat/main/tde-i18n/tde-i18n-3.5.13.2.spec
  15. 0
    0
      redhat/main/tdeaccessibility/tdeaccessibility-14.0.0.spec
  16. 0
    0
      redhat/main/tdeaccessibility/tdeaccessibility-3.5.13.2.spec
  17. 0
    0
      redhat/main/tdeaddons/tdeaddons-14.0.0.spec
  18. 0
    0
      redhat/main/tdeaddons/tdeaddons-3.5.13.2.spec
  19. 0
    0
      redhat/main/tdeadmin/kpackagerc
  20. 0
    0
      redhat/main/tdeadmin/ksysvrc
  21. 0
    0
      redhat/main/tdeadmin/kuser.pam
  22. 0
    0
      redhat/main/tdeadmin/kuser.pamd
  23. 0
    0
      redhat/main/tdeadmin/kuserrc
  24. 0
    0
      redhat/main/tdeadmin/tdeadmin-14.0.0.spec
  25. 0
    0
      redhat/main/tdeadmin/tdeadmin-3.5.13.2.spec
  26. 0
    0
      redhat/main/tdeartwork/tdeartwork-14.0.0.spec
  27. 0
    0
      redhat/main/tdeartwork/tdeartwork-3.5.13.2.spec
  28. 0
    0
      redhat/main/tdebase/file_contexts.el6
  29. 0
    0
      redhat/main/tdebase/file_contexts.fc17
  30. 0
    0
      redhat/main/tdebase/mgabutton.svg
  31. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.el4
  32. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.el5
  33. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.el6
  34. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.el7
  35. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.fc15
  36. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.fc16
  37. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.fc17
  38. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.fc18
  39. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.fc19
  40. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.fc20
  41. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.mdv2011.0
  42. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.mga2
  43. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.mga3
  44. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.mga4
  45. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.opensuse1220
  46. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.pclos2012
  47. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.pclos2013
  48. 0
    0
      redhat/main/tdebase/pamd.kcheckpass-trinity.pclos2014
  49. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.el4
  50. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.el5
  51. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.el6
  52. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.el7
  53. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.fc15
  54. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.fc16
  55. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.fc17
  56. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.fc18
  57. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.fc19
  58. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.fc20
  59. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.mdv2011.0
  60. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.mga2
  61. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.mga3
  62. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.mga4
  63. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.pclos2012
  64. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.pclos2013
  65. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity-np.pclos2014
  66. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.el4
  67. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.el5
  68. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.el6
  69. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.el7
  70. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.fc15
  71. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.fc16
  72. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.fc17
  73. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.fc18
  74. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.fc19
  75. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.fc20
  76. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.mdv2011.0
  77. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.mga2
  78. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.mga3
  79. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.mga4
  80. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.pclos2012
  81. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.pclos2013
  82. 0
    0
      redhat/main/tdebase/pamd.kdm-trinity.pclos2014
  83. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.el4
  84. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.el5
  85. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.el6
  86. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.el7
  87. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.fc15
  88. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.fc16
  89. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.fc17
  90. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.fc18
  91. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.fc19
  92. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.fc20
  93. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.mdv2011.0
  94. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.mga2
  95. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.mga3
  96. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.mga4
  97. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.pclos2012
  98. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.pclos2013
  99. 0
    0
      redhat/main/tdebase/pamd.kscreensaver-trinity.pclos2014
  100. 0
    0
      redhat/main/tdebase/suse-displaymanagers-tdm

+ 21
- 21
redhat/Makefile.r14 View File

@@ -74,58 +74,58 @@ tqtinterface: tqt3 cmake

# Main packages
tdeaccessibility: tdebase tdemultimedia
$(call buildpkg,tdeaccessibility)
$(call buildpkg,main/tdeaccessibility)

tdeaddons: tdebase tdegames tdemultimedia tdenetwork tdepim
$(call buildpkg,tdeaddons)
$(call buildpkg,main/tdeaddons)

tdeadmin: tdebase
$(call buildpkg,tdeadmin)
$(call buildpkg,main/tdeadmin)

tdeartwork: tdebase
$(call buildpkg,tdeartwork)
$(call buildpkg,main/tdeartwork)

tdebase: tdelibs cmake htdig fileshareset libconfig
$(call buildpkg,tdebase)
$(call buildpkg,main/tdebase)

tdebindings: tdebase tqscintilla
$(call buildpkg,tdebindings)
$(call buildpkg,main/tdebindings)

tdeedu: tdebase
$(call buildpkg,tdeedu)
$(call buildpkg,main/tdeedu)

tdegames: tdebase tdemultimedia
$(call buildpkg,tdegames)
$(call buildpkg,main/tdegames)

tdegraphics: tdebase poppler cmake
$(call buildpkg,tdegraphics)
$(call buildpkg,main/tdegraphics)

tdelibs: tqt3 tqtinterface arts dbus-tqt dbus-1-tqt cmake avahi-tqt fileshareset trinity-filesystem libart_lgpl
$(call buildpkg,tdelibs)
$(call buildpkg,main/tdelibs)

tdemultimedia: tdebase akode
$(call buildpkg,tdemultimedia)
$(call buildpkg,main/tdemultimedia)

tdenetwork: tdebase
$(call buildpkg,tdenetwork)
$(call buildpkg,main/tdenetwork)

tdepim: tdebase libcaldav libcarddav cmake
$(call buildpkg,tdepim)
$(call buildpkg,main/tdepim)

tdesdk: tdebase tdebindings cmake
$(call buildpkg,tdesdk)
$(call buildpkg,main/tdesdk)

tdetoys: tdebase
$(call buildpkg,tdetoys)
$(call buildpkg,main/tdetoys)

tdeutils: tdebase
$(call buildpkg,tdeutils)
$(call buildpkg,main/tdeutils)

tdevelop: tdebase tdesdk cmake
$(call buildpkg,tdevelop)
$(call buildpkg,main/tdevelop)

tdewebdev: tdebase tdesdk
$(call buildpkg,tdewebdev)
$(call buildpkg,main/tdewebdev)

### 3rd party libraries and tools
autoconf: m4
@@ -218,8 +218,8 @@ ifneq ($(wildcard /boot/vmlinuz*.el6*),)
endif

pcsc-perl:
# Build on CentOS and openSUSE only
ifneq ($(wildcard /etc/centos-release /etc/SuSE-release /boot/vmlinuz*.el5*),)
# Build on CentOS
ifneq ($(wildcard /etc/centos-release /boot/vmlinuz*.el5*),)
$(call buildpkg,3rdparty/pcsc-perl)
endif

@@ -563,7 +563,7 @@ endif

rosegarden: tdebase lilypond
# Do NOT build on CentOS 5, CentOS 7
ifeq ($(wildcard /boot/vmlinuz*.el5*),)
ifeq ($(wildcard /boot/vmlinuz*.el5* /boot/vmlinuz*.el7*),)
$(call buildpkg,applications/rosegarden)
endif


+ 18
- 18
redhat/Makefile.v3.5.13-sru View File

@@ -61,58 +61,58 @@ tqtinterface: qt3 cmake

# Main packages
tdeaccessibility: tdebase tdemultimedia
$(call buildpkg,tdeaccessibility)
$(call buildpkg,main/tdeaccessibility)

tdeaddons: tdebase tdegames tdemultimedia tdenetwork tdepim
$(call buildpkg,tdeaddons)
$(call buildpkg,main/tdeaddons)

tdeadmin: tdebase
$(call buildpkg,tdeadmin)
$(call buildpkg,main/tdeadmin)

tdeartwork: tdebase
$(call buildpkg,tdeartwork)
$(call buildpkg,main/tdeartwork)

tdebase: tdelibs cmake htdig fileshareset hal
$(call buildpkg,tdebase)
$(call buildpkg,main/tdebase)

tdebindings: tdebase
$(call buildpkg,tdebindings)
$(call buildpkg,main/tdebindings)

tdeedu: tdebase
$(call buildpkg,tdeedu)
$(call buildpkg,main/tdeedu)

tdegames: tdebase tdemultimedia
$(call buildpkg,tdegames)
$(call buildpkg,main/tdegames)

tdegraphics: tdebase poppler cmake
$(call buildpkg,tdegraphics)
$(call buildpkg,main/tdegraphics)

tdelibs: qt3 tqtinterface arts dbus-tqt dbus-1-tqt cmake avahi-tqt fileshareset trinity-filesystem
$(call buildpkg,tdelibs)
$(call buildpkg,main/tdelibs)

tdemultimedia: tdebase akode
$(call buildpkg,tdemultimedia)
$(call buildpkg,main/tdemultimedia)

tdenetwork: tdebase
$(call buildpkg,tdenetwork)
$(call buildpkg,main/tdenetwork)

tdepim: tdebase libcaldav libcarddav cmake
$(call buildpkg,tdepim)
$(call buildpkg,main/tdepim)

tdesdk: tdebase tdebindings cmake
$(call buildpkg,tdesdk)
$(call buildpkg,main/tdesdk)

tdetoys: tdebase
$(call buildpkg,tdetoys)
$(call buildpkg,main/tdetoys)

tdeutils: tdebase
$(call buildpkg,tdeutils)
$(call buildpkg,main/tdeutils)

tdevelop: tdebase tdesdk cmake
$(call buildpkg,tdevelop)
$(call buildpkg,main/tdevelop)

tdewebdev: tdebase tdesdk
$(call buildpkg,tdewebdev)
$(call buildpkg,main/tdewebdev)

### 3rd party libraries and tools
autoconf: m4

+ 6
- 0
redhat/build/configure_repository.sh View File

@@ -28,3 +28,9 @@ if [ -x /usr/sbin/urpmi ]; then
sudo urpmi.addmedia rpmbuild.${ARCH} ${RPMDIR}/${ARCH}
sudo urpmi.addmedia rpmbuild.noarch ${RPMDIR}/noarch
fi

# openSUSE
if [ -x /usr/bin/zypper ]; then
sudo zypper ar -G ${RPMDIR}/${ARCH} rpmbuild.${ARCH}
sudo zypper ar -G ${RPMDIR}/noarch rpmbuild.noarch
fi

+ 2
- 2
redhat/build/get_latest_tarball_filename.sh View File

@@ -5,12 +5,12 @@ TDE_VERSION="${2:-14.0.0}"

[ -z "${PKGNAME}" ] && echo "You must specify a package name !" && exit 1
[ -d "${TARBALLS_DIR}" ] || TARBALLS_DIR=~/tde/tde-tarballs/${TDE_VERSION}/
[ -d "${PACKAGING_DIR}" ] || PACKAGING_DIR=~/tde/tde-packaging
[ -d "${TDE_PACKAGING_DIR}" ] || TDE_PACKAGING_DIR=~/tde/tde-packaging
[ -d "${DIST_PACKAGING_DIR}" ] || DIST_PACKAGING_DIR=${PACKAGING_DIR}/redhat/

RET=$(find "${TARBALLS_DIR}" -name "trinity-${PKGNAME}-[0-9]*.tar.gz" | sort -n | tail -n 1)
if [ -z "${RET}" ]; then
RET=$(find "${TARBALLS_DIR}/../extras/" -name "${PKGNAME}-[0-9]*.tar.*" | sort -n | tail -n 1)
RET=$(find "${TARBALLS_DIR}/../extras/" -name "${PKGNAME}[-_][0-9]*.tar.*" | sort -n | tail -n 1)
fi
if [ ! -r "${RET}" ]; then
# Retry without 'trinity-*', and allow any TAR extension.

+ 4
- 1
redhat/build/get_rpm_package_name.sh View File

@@ -20,7 +20,7 @@ case "${PKGNAME}" in
# In case prefix is already there, don't add it again.
"trinity-"*) PREFIX="";;
# Most TDE dependencies have no prefix
"avahi-tqt"|"dbus-tqt"|"dbus-1-tqt"|"libart-lgpl"|"libcarddav"|"libcaldav"|"python-tqt"|"sip4-tqt"|"qt3"|"tqscintilla"|"tqt3"|"tqtinterface") PREFIX="";;
"avahi-tqt"|"dbus-tqt"|"dbus-1-tqt"|"libart-lgpl"|"libcarddav"|"libcaldav"|"python-tqt"|"sip4-tqt"|"qt3"|"tqscintilla"|"tqt3"|"tqtinterface"|"tqca"|"tqca-tls") PREFIX="";;
# 3rd party dependencies
"esound"|"fileshareset"|"hk_classes"|"python-qt3") PREFIX="";;
# Extra build stuff
@@ -49,6 +49,8 @@ case "${PKGNAME}" in
"libcaldav") PKGRUNTIME="${lib}caldav0";;
"libcarddav") PKGRUNTIME="${lib}carddav0";;
"tqscintilla") PKGRUNTIME="${lib}tqscintilla7";;
"tqca") PKGRUNTIME="${lib}tqca1";;
"tqca-tls") PKGRUNTIME="${lib}tqt3-mt-tqca-tls";;
"tqt3") PKGRUNTIME="${lib}tqt3-mt";;
"tqtinterface") PKGRUNTIME="${lib}tqt4";;
# Language package: install only French language package
@@ -86,6 +88,7 @@ if [ -n "${DEVEL}" ]; then
"libart-lgpl") PKGDEVEL="libart_lgpl-devel";;
"libcaldav") PKGDEVEL="${lib}caldav-devel";;
"libcarddav") PKGDEVEL="${lib}carddav-devel";;
"tqca") PKGDEVEL="${lib}tqca-devel";;
"tqscintilla") PKGDEVEL="${lib}tqscintilla-devel";;
"tqt3") PKGDEVEL="tqt3-dev-tools tqt3-apps-devel tqt3-compat-headers";;
# Default case: development package has same name as runtime package, plus '-devel' suffix.

+ 3
- 3
redhat/build/get_specfile.sh View File

@@ -5,14 +5,14 @@ TDE_VERSION="${2:-14.0.0}"

[ -z "${PKGNAME}" ] && echo "You must specify a package name !" && exit 1

[ -d "${PACKAGING_DIR}" ] || PACKAGING_DIR=~/tde/tde-packaging
[ -d "${TDE_PACKAGING_DIR}" ] || TDE_PACKAGING_DIR=~/tde/tde-packaging
[ -d "${DIST_PACKAGING_DIR}" ] || DIST_PACKAGING_DIR=${PACKAGING_DIR}/redhat

# Special case for QT3
if [ "${PKGNAME}" = "qt3" ]; then
case "$(rpmdist.sh --dist)" in
.oss*) DIST_PACKAGING_DIR=${PACKAGING_DIR}/opensuse ;;
.mga*|.mdk*|.pclos*) DIST_PACKAGING_DIR=${PACKAGING_DIR}/mageia ;;
.oss*) DIST_PACKAGING_DIR=${TDE_PACKAGING_DIR}/opensuse ;;
.mga*|.mdk*|.pclos*) DIST_PACKAGING_DIR=${TDE_PACKAGING_DIR}/mageia ;;
esac
fi


+ 0
- 391
redhat/buildall-r14.sh View File

@@ -1,391 +0,0 @@
#!/bin/bash

export PATH="$(dirname $0):${PATH}"

tdp='cd ~/tde/tde-packaging/redhat'
grp='./genrpm.sh -v 14.0.0 -a'

BUILDDIR="/dev/shm/BUILD${DIST}.$(uname -i)"
BUILDROOTDIR="/dev/shm/BUILDROOT${DIST}.$(uname -i)"
DIST="$(rpm -E %{dist})"
LIB="$(rpm -E %_lib)"

if [ -x /usr/sbin/urpmi ]; then
PKGMGR="urpmi"
PKGINST='sudo urpmi --auto --no-verify-rpm'
PKGDEL='sudo urpme --auto'
REPOUPDATE='(cd $(rpm -E %{_rpmdir}); genhdlist2 --clean --allow-empty noarch; genhdlist2 --clean --allow-empty $(uname -i); sudo urpmi.update rpmbuild.$(uname -i) rpmbuild.noarch)'
elif [ -x /usr/bin/zypper ]; then
PKGMGR="zypper"
PKGINST="sudo zypper install -y"
PKGDEL="sudo zypper remove -y"
REPOUPDATE='(cd $(rpm -E %{_rpmdir}); createrepo $(uname -i); createrepo noarch; sudo zypper refresh)'
elif [ -x /usr/bin/yum ]; then
PKGMGR="yum"
PKGINST='sudo yum install -y'
PKGDEL='sudo yum remove -y'
REPOUPDATE='(cd $(rpm -E %{_rpmdir}); createrepo $(uname -i); createrepo noarch; sudo yum clean all --disablerepo="*" --enablerepo="rpmbuild*")'
fi

BUILDDIR=$(rpm -E "%{_builddir}")


if [ "${DIST:0:4}" = ".oss" ]; then
if [ ! -r /etc/rpm/macros.cmake ]; then
sudo cp macros.cmake /etc/rpm/macros.cmake
fi
fi

if [ ! -r /usr/include/jpegint.h ]; then
sudo cp extras/jpegint.h.el6 /usr/include/jpegint.h
fi

echo "Package Manager is '${PKGMGR}'"

pkg_listlocal() {
rpm -qa --qf "%{name} %{buildhost}\n" | while read a b; do case "$b" in *.vtf) echo $a;; esac;done
}

pkg_delall() {
PKGDEL $(pkg_listlocal)
}

is_installed() {
rpm -q "$1" &>/dev/null
return $?
}

# Build package if not already installed
grpi() {
if ! is_installed trinity-"${1##*/}"; then
eval ${grp} ${1}
RET=$?
if [ $RET -gt 0 ]; then
echo "ERROR $RET !!!"
exit $RET
fi
fi
}
# Build package if not already installed, then update repo
grpiu() {
if ! is_installed trinity-"${1##*/}"; then
grpi "$1"
eval ${REPOUPDATE} || exit 1
fi
}
# Build package if not already installed, then update repo, then install package
grpiui() {
if ! is_installed trinity-"${1##*/}"; then
grpiu "$1"
eval ${PKGINST} "trinity-${1##*/}" || exit 1
fi
}
# Build package if not already installed, then update repo, then install -devel package
grpiud() {
if ! is_installed trinity-"${1##*/}"; then
grpiu "$1"
eval ${PKGINST} "trinity-${1##*/}" || exit 1
eval ${PKGINST} "trinity-${1##*/}-devel" || exit 1
fi
}

# TQT3
grpiud dependencies/tqt3

if [ "${DIST}" = ".el4" ] || [ "${DIST}" = ".el5" ]; then
grpiud 3rdparty/poppler
fi
if [ "${DIST}" = ".el4" ] || [ "${DIST}" = ".el5" ]; then
grpiud 3rdparty/sip
fi

# TDE dependencies
grpiud dependencies/tqtinterface
grpiud dependencies/arts
grpiud dependencies/libart-lgpl
grpiud dependencies/libcaldav
grpiud dependencies/libcarddav
grpiud dependencies/sip4-tqt
grpiud dependencies/tqca
if [ "${DIST}" != ".el4" ]; then
grpiud dependencies/avahi-tqt
grpiud dependencies/dbus-1-tqt
grpiud dependencies/dbus-tqt
grpiui dependencies/tqca-tls
fi

# Extra dependencies
grpiud extras/akode

# TDE main
# basic packages
grpiud tdelibs
grpiud tdebase

# Back to remaining dependencies ...
grpiud dependencies/tqscintilla
grpiud dependencies/python-tqt

# Main packages which are required by later main packages
grpiud tdepim
grpiud tdemultimedia
grpiud tdegames
grpiud tdebindings
grpiud tdegraphics
grpiud tdenetwork

# other main packages
grpiui tdeaccessibility
grpiui tdeaddons
grpiui tdeadmin
grpiui tdeartwork
grpiui tdeedu
grpiui tdetoys
grpiui tdeutils

if ! is_installed trinity-desktop; then
grpiu extras/trinity-desktop
eval ${PKGINST} trinity-desktop || exit 1
fi
# Disable trinity repository from here !!!
if [ -r "/etc/yum.repos.d/trinity-r14.repo" ]; then
sudo sed -i "/etc/yum.repos.d/trinity-r14.repo" -e "s|enabled=.*|enabled=0|g"
fi

# devel packages
grpiud tdesdk
grpiui tdevelop
grpiui tdewebdev
if ! is_installed trinity-desktop-devel; then
eval ${PKGINST} trinity-desktop-devel || exit 1
fi

# 3rd party libraries

## IMLIB1: required for kuickshow
if ! is_installed imlib1-devel && ! is_installed imlib-devel; then
grpiu 3rdparty/imlib1
eval ${PKGINST} imlib1-devel || exit 1
fi

## WV2: for Koffice, not needed on Mageia (already provided)
if [ "${DIST:0:4}" != ".mga" ]; then
if ! is_installed wv2; then
grpiu 3rdparty/wv2
eval ${PKGINST} wv2 || exit 1
eval ${PKGINST} wv2-devel || exit 1
fi
fi

## LIBOTR3: required for kopete-otr
if [ "${DIST:0:5}" = ".mga3" ]; then
if ! is_installed libotr3; then
grpiu 3rdparty/libotr3
eval ${PKGINST} libotr3 || exit 1
eval ${PKGINST} libotr3-devel || exit 1
fi
fi

## TORSOCKS: required for tork
if ! is_installed torsocks; then
grpiu 3rdparty/torsocks
eval ${PKGINST} torsocks || exit 1
fi

## PCSC-PERL: for smartcardauth
if [ "${DIST:0:4}" = ".oss" ] || [ "${DIST:0:3}" = ".el" ]; then
if ! is_installed pcsc-perl; then
grpiu 3rdparty/pcsc-perl
eval ${PKGINST} pcsc-perl || exit 1
fi
fi

## Lilypond: needed for rosegarden
if [ "${DIST}" = ".el6" ]; then
if ! is_installed mftrace; then
grpiu 3rdparty/mftrace
eval ${PKGINST} mftrace || exit 1
fi
if ! is_installed lilypond; then
grpiu 3rdparty/lilypond
eval ${PKGINST} lilypond || exit 1
fi
fi

# TDE libraries
grpiud libraries/libkdcraw
grpiud libraries/libkexiv2
grpiud libraries/libkipi
grpiud libraries/libksquirrel
grpiud libraries/libtdeldap
grpiui libraries/libtqt-perl
grpiud libraries/python-trinity
grpiud libraries/pytdeextensions

# Build applications
# K3B is required later for k9copy
grpiud applications/k3b
# other applications, any order ...
grpiui applications/abakus
#grpiui applications/adept
grpiui applications/amarok
grpiui applications/basket
grpiui applications/bibletime
#grpiui applications/compizconfig-backend-kconfig
grpiui applications/digikam
grpiui applications/dolphin
grpiui applications/filelight
#grpiui applications/filelight-l10n
#grpiui applications/fusion-icon
grpiui applications/gwenview
grpiui applications/k9copy
grpiui applications/kaffeine
grpiui applications/kaffeine-mozilla
grpiui applications/kasablanca
grpiui applications/katapult
grpiui applications/kbarcode
grpiui applications/kbfx
grpiui applications/kbibtex
grpiui applications/kbiff
grpiui applications/kbookreader
grpiui applications/kchmviewer
grpiui applications/kcmautostart
grpiui applications/kcmldap
grpiui applications/kcmldapcontroller
grpiui applications/kcmldapmanager
grpiui applications/kcpuload
grpiui applications/kdbg
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kdbusnotification
fi
grpiui applications/kdiff3
grpiui applications/kdirstat
grpiui applications/keep
grpiui applications/kerberostray
#grpiui applications/kerry
grpiui applications/kftpgrabber
grpiui applications/kile
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kima
fi
grpiui applications/kiosktool
grpiui applications/kkbswitch
grpiui applications/klcddimmer
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kmplayer
fi
grpiui applications/kmyfirewall
grpiui applications/kmymoney
grpiui applications/knemo
grpiui applications/knetload
grpiui applications/knetstats
grpiui applications/knights
grpiui applications/knowit
grpiui applications/knmap
grpiui applications/knutclient
if ! is_installed trinity-koffice-suite; then
grpiu applications/koffice
eval ${PKGINST} trinity-koffice-suite
fi
grpiui applications/konversation
grpiui applications/kopete-otr
grpiui applications/kpicosim
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kpilot
fi
grpiui applications/krecipes
grpiui applications/krename
grpiui applications/krusader
grpiui applications/kscope
grpiui applications/ksensors
grpiui applications/kshowmail
grpiui applications/kshutdown
grpiui applications/ksplash-engine-moodin
grpiui applications/ksquirrel
grpiui applications/kstreamripper
grpiui applications/ksystemlog
grpiui applications/ktechlab
grpiui applications/ktorrent
grpiui applications/kuickshow
grpiui applications/kvirc
grpiui applications/kvkbd
grpiui applications/kvpnc
grpiui applications/mplayerthumbs
grpiui applications/piklab
grpiui applications/potracegui
if [ "${DIST}" != ".el4" ] && [ "${DIST}" != ".el5" ]; then
grpiui applications/rosegarden
fi
grpiui applications/smartcardauth
grpiui applications/smb4k
grpiui applications/soundkonverter
grpiui applications/tde-guidance
grpiui applications/tdeio-apt
grpiui applications/tdeio-ftps
grpiui applications/tdeio-locate
grpiui applications/tdeio-sword
grpiui applications/tdeio-umountwrapper
grpiui applications/tdenetworkmanager
grpiui applications/tdepowersave
grpiui applications/tderadio
grpiui applications/tde-style-lipstik
grpiui applications/tde-style-qtcurve
grpiui applications/tdesudo
if [ "${DIST}" != ".el4" ]; then
grpiui applications/tdesvn
fi
grpiui applications/tde-systemsettings
grpiui applications/tdmtheme
grpiui applications/tellico
grpiui applications/tork
grpiui applications/twin-style-crystal
grpiui applications/wlassistant
grpiui applications/yakuake

# Decoration-related stuff are distribution-dependant.
if [ "${DIST}" != ".el4" ] && [ "${DIST}" != ".el5" ]; then
grpiui applications/gtk-qt-engine
#grpiui applications/kgtk-qt3
fi

if ! is_installed trinity-desktop-applications; then
eval ${PKGINST} trinity-desktop-applications || exit 1
fi

if ! is_installed trinity-desktop-all; then
eval ${PKGINST} trinity-desktop-all || exit 1
fi

# Locales packages
grpiui applications/gwenview-i18n
if ! is_installed trinity-k3b-i18n-French; then
grpiu applications/k3b-i18n
eval ${PKGINST} trinity-k3b-i18n-French || exit 1
fi
if ! is_installed trinity-koffice-i18n-French; then
grpiu applications/koffice-i18n
eval ${PKGINST} trinity-koffice-i18n-French
fi
if ! is_installed trinity-tde-i18n-French; then
grpiu tde-i18n
eval ${PKGINST} trinity-tde-i18n-French || exit 1
fi

exit 0

# Build extra packages
grpiui extras/icons-crystalsvg-updated
grpiui extras/icons-kfaenza
grpiui extras/icons-oxygen
#grpiui extras/kcheckgmail
#grpiui extras/kdebluetooth
grpiui extras/kickoff-i18n
#grpiui extras/knoda
grpiui extras/style-ia-ora
#grpiui extras/tdeio-sysinfo
grpiui extras/theme-baghira
#grpiui extras/trinity-desktop
#grpiui extras/trinity-live
grpiui extras/twinkle
eval ${PKGINST} trinity-desktop-extras


+ 0
- 427
redhat/buildall-sru.sh View File

@@ -1,427 +0,0 @@
#!/bin/bash

export PATH="$(dirname $0):${PATH}"

tdp='cd ~/tde/tde-packaging/redhat'
grp='./genrpm.sh -v 3.5.13.2 -a'

BUILDDIR="/dev/shm/BUILD${DIST}.$(uname -i)"
BUILDROOTDIR="/dev/shm/BUILDROOT${DIST}.$(uname -i)"
DIST="$(rpm -E %{dist})"
LIB="$(rpm -E %_lib)"

if [ -x /usr/sbin/urpmi ]; then
PKGMGR="urpmi"
PKGINST='sudo urpmi --auto --no-verify-rpm'
PKGDEL='sudo urpme --auto'
REPOUPDATE='(cd $(rpm -E %{_rpmdir}); genhdlist2 --clean --allow-empty noarch; genhdlist2 --clean --allow-empty $(uname -i); sudo urpmi.update rpmbuild.$(uname -i) rpmbuild.noarch)'
elif [ -x /usr/bin/zypper ]; then
PKGMGR="zypper"
PKGINST="sudo zypper install -y"
PKGDEL="sudo zypper remove -y"
REPOUPDATE='(cd $(rpm -E %{_rpmdir}); createrepo $(uname -i); createrepo noarch; sudo zypper refresh)'
elif [ -x /usr/bin/yum ]; then
PKGMGR="yum"
PKGINST='sudo yum install -y'
PKGDEL='sudo yum remove -y'
REPOUPDATE='(cd $(rpm -E %{_rpmdir}); createrepo $(uname -i); createrepo noarch; sudo yum clean all --disablerepo="*" --enablerepo="rpmbuild*")'
elif [ -x /usr/bin/apt-get ]; then
PKGMGR="apt-get"
PKGINST='sudo apt-get install -y'
PKGDEL='sudo apt-get remove -y'
REPOUPDATE='(cd $(rpm -E %{_rpmdir}); genpkglist $PWD noarch; genpkglist $PWD i586; genpkglist $PWD x86_64; genbasedir $PWD i586 x86_64 noarch; sudo apt-get update)'
fi

BUILDDIR=$(rpm -E "%{_builddir}")


if [ "${DIST:0:4}" = ".oss" ]; then
if [ ! -r /etc/rpm/macros.cmake ]; then
sudo cp macros.cmake /etc/rpm/macros.cmake
fi
fi

if [ ! -r /usr/include/jpegint.h ]; then
sudo cp extras/jpegint.h.el6 /usr/include/jpegint.h
fi

echo "Package Manager is '${PKGMGR}'"

pkg_listlocal() {
rpm -qa --qf "%{name} %{buildhost}\n" | while read a b; do case "$b" in *.vtf) echo $a;; esac;done
}

pkg_delall() {
PKGDEL $(pkg_listlocal)
}

is_installed() {
rpm -q "$1" &>/dev/null
return $?
}

# Build package if not already installed
grpi() {
if ! is_installed trinity-"${1##*/}"; then
eval ${grp} ${1}
RET=$?
if [ $RET -gt 0 ]; then
echo "ERROR $RET !!!"
exit $RET
fi
fi
}
# Build package if not already installed, then update repo
grpiu() {
if ! is_installed trinity-"${1##*/}"; then
grpi "$1"
eval ${REPOUPDATE} || exit 1
fi
}
# Build package if not already installed, then update repo, then install package
grpiui() {
if ! is_installed trinity-"${1##*/}"; then
grpiu "$1"
eval ${PKGINST} "trinity-${1##*/}" || exit 1
fi
}
# Build package if not already installed, then update repo, then install -devel package
grpiud() {
if ! is_installed trinity-"${1##*/}"; then
grpiu "$1"
eval ${PKGINST} "trinity-${1##*/}" || exit 1
eval ${PKGINST} "trinity-${1##*/}-devel" || exit 1
fi
}

# QT3
if ! rpm -q libqt3-devel &>/dev/null && ! rpm -q lib64qt3-devel &>/dev/null && ! rpm -q qt3-devel &>/dev/null; then
if [ -r /etc/SuSE-release ]; then
pushd ../opensuse/core
elif [ -r /etc/mandriva-release ]; then
pushd ../mageia
else
pushd .
fi
grpiu dependencies/qt3
eval ${PKGINST} qt3-devel || exit 1
popd
fi

# Extra dependencies
grpiud extras/akode

# HAL already exists in:
# Mageia <= 2
# RHEL <= 6
# openSUSE <= 11.4
# Fedora <= 15
if [ "${DIST:0:6}" = ".oss12" ] || [ "${DIST}" = ".mga3" ] \
|| [ "${DIST}" = ".fc16" ]|| [ "${DIST}" = ".fc17" ] || [ "${DIST}" = ".fc18" ] || [ "${DIST}" = ".fc19" ]; then
if ! is_installed trinity-hal-devel; then
grpiu 3rdparty/hal
grpiu 3rdparty/hal-info
eval ${PKGINST} trinity-hal-devel || exit 1
fi
fi
if [ "${DIST:0:4}" = ".mga" ]; then
if ! is_installed ${LIB}esound-devel; then
grpiu 3rdparty/esound
eval ${PKGINST} esound-devel || exit 1
fi
if ! is_installed htdig; then
grpiu 3rdparty/htdig
eval ${PKGINST} htdig || exit 1
fi
fi
if [ "${DIST}" = ".el4" ] || [ "${DIST}" = ".el5" ]; then
grpiud 3rdparty/poppler
fi
if [ "${DIST}" = ".el4" ] || [ "${DIST}" = ".el5" ]; then
grpiud 3rdparty/sip
fi

# TDE dependencies
grpiud dependencies/tqtinterface
grpiud dependencies/arts
grpiud dependencies/libcaldav
grpiud dependencies/libcarddav
grpiud dependencies/tqca
if [ "${DIST}" != ".el4" ]; then
grpiud dependencies/avahi-tqt
grpiud dependencies/dbus-1-tqt
grpiud dependencies/dbus-tqt
grpiui dependencies/tqca-tls
fi

# Extra dependencies
grpiud extras/akode

# TDE main
# basic packages
grpiud tdelibs
grpiud tdebase

# Main packages which are required by later main packages
grpiud tdepim
grpiud tdemultimedia
grpiud tdegames
grpiud tdebindings
grpiud tdegraphics
grpiud tdenetwork

# other main packages
grpiui tdeaccessibility
grpiui tdeaddons
grpiui tdeadmin
grpiui tdeartwork
grpiui tdeedu
grpiui tdetoys
grpiui tdeutils

if ! is_installed trinity-desktop; then
grpiu extras/trinity-desktop
eval ${PKGINST} trinity-desktop || exit 1
fi
# Disable trinity repository from here !!!
if [ -r "/etc/yum.repos.d/trinity-3.5.13.repo" ]; then
sudo sed -i "/etc/yum.repos.d/trinity-3.5.13.repo" -e "s|enabled=.*|enabled=0|g"
fi

# devel packages
grpiud tdesdk
grpiui tdevelop
grpiui tdewebdev
if ! is_installed trinity-desktop-devel; then
eval ${PKGINST} trinity-desktop-devel || exit 1
fi

# 3rd party libraries

## IMLIB1: required for kuickshow
if ! is_installed imlib1-devel && ! is_installed imlib-devel; then
grpiu 3rdparty/imlib1
eval ${PKGINST} imlib1-devel || exit 1
fi

## WV2: for Koffice, not needed on Mageia (already provided)
if [ "${DIST:0:4}" != ".mga" ]; then
if ! is_installed wv2; then
grpiu 3rdparty/wv2
eval ${PKGINST} wv2 || exit 1
eval ${PKGINST} wv2-devel || exit 1
fi
fi

## LIBOTR3: required for kopete-otr
if [ "${DIST:0:5}" = ".mga3" ]; then
if ! is_installed libotr3; then
grpiu 3rdparty/libotr3
eval ${PKGINST} libotr3 || exit 1
eval ${PKGINST} libotr3-devel || exit 1
fi
fi

## PYTHON-QT3: for Python-stuff
if ! is_installed python-qt3; then
if [ "${DIST:0:3}" = ".el" ] || [ "${DIST:0:3}" = ".fc" ]; then
eval ${PKGINST} qt3-MySQL qt3-ODBC qt3-PostgreSQL
fi
grpiu 3rdparty/python-qt3
eval ${PKGINST} python-qt3-devel || exit 1
fi

## PCSC-PERL: for smartcardauth
if [ "${DIST:0:4}" = ".oss" ] || [ "${DIST:0:3}" = ".el" ]; then
if ! is_installed pcsc-perl; then
grpiu 3rdparty/pcsc-perl
eval ${PKGINST} pcsc-perl || exit 1
fi
fi

## Lilypond: needed for rosegarden
if [ "${DIST}" = ".el6" ]; then
if ! is_installed mftrace; then
grpiu 3rdparty/mftrace
eval ${PKGINST} mftrace || exit 1
fi
if ! is_installed lilypond; then
grpiu 3rdparty/lilypond
eval ${PKGINST} lilypond || exit 1
fi
fi

# TDE libraries
grpiud libraries/libkdcraw
grpiud libraries/libkexiv2
grpiud libraries/libkipi
grpiud libraries/libksquirrel
grpiud libraries/python-trinity
grpiud libraries/pytdeextensions

# Build applications
# K3B is required later for k9copy
grpiud applications/k3b
# other applications, any order ...
grpiui applications/abakus
#grpiui applications/adept
grpiui applications/amarok
grpiui applications/basket
grpiui applications/bibletime
#grpiui applications/compizconfig-backend-kconfig
grpiui applications/digikam
grpiui applications/dolphin
grpiui applications/filelight
#grpiui applications/filelight-l10n
#grpiui applications/fusion-icon
grpiui applications/gwenview
grpiui applications/k9copy
grpiui applications/kaffeine
grpiui applications/kaffeine-mozilla
grpiui applications/katapult
grpiui applications/kbarcode
grpiui applications/kbfx
grpiui applications/kbookreader
grpiui applications/kchmviewer
grpiui applications/kcmautostart
grpiui applications/kcpuload
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kdbusnotification
fi
grpiui applications/kdiff3
grpiui applications/kdirstat
grpiui applications/keep
#grpiui applications/kerry
grpiui applications/kile
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kima
fi
grpiui applications/kiosktool
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kmplayer
fi
grpiui applications/kmyfirewall
grpiui applications/kmymoney
grpiui applications/knemo
grpiui applications/knetload
grpiui applications/knetstats
if [ "${DIST}" = ".el6" ] || [ "${DIST:0:6}" = ".oss11" ]; then
grpiui applications/knetworkmanager8
fi
grpiui applications/knights
grpiui applications/knowit
grpiui applications/knutclient
if ! is_installed trinity-koffice-suite; then
grpiu applications/koffice
eval ${PKGINST} trinity-koffice-suite
fi
grpiui applications/konversation
grpiui applications/kopete-otr
grpiui applications/kpicosim
if [ "${DIST}" != ".el4" ]; then
grpiui applications/kpilot
fi
if [ "${DIST}" != ".el4" ] && [ "${DIST}" != ".el5" ]; then
grpiui applications/kpowersave
fi
grpiui applications/krename
grpiui applications/krusader
grpiui applications/ksplash-engine-moodin
grpiui applications/ksquirrel
grpiui applications/kstreamripper
grpiui applications/ksystemlog
grpiui applications/ktechlab
grpiui applications/ktorrent
grpiui applications/kuickshow
grpiui applications/kvirc
grpiui applications/kvkbd
grpiui applications/piklab
grpiui applications/potracegui
if [ "${DIST}" != ".el4" ] && [ "${DIST}" != ".el5" ]; then
grpiui applications/rosegarden
fi
grpiui applications/smartcardauth
grpiui applications/smb4k
grpiui applications/soundkonverter
grpiui applications/tde-guidance
grpiui applications/tdeio-apt
grpiui applications/tdeio-locate
grpiui applications/tdeio-umountwrapper
grpiui applications/tderadio
grpiui applications/tde-style-lipstik
grpiui applications/tde-style-qtcurve
grpiui applications/tdesudo
if [ "${DIST}" != ".el4" ]; then
grpiui applications/tdesvn
fi
grpiui applications/tde-systemsettings
grpiui applications/tdmtheme
grpiui applications/tellico
grpiui applications/twin-style-crystal
grpiui applications/wlassistant
grpiui applications/yakuake

# Decoration-related stuff are distribution-dependant.
if [ "${DIST}" != ".el4" ] && [ "${DIST}" != ".el5" ]; then
grpiui applications/gtk-qt-engine
#grpiui applications/kgtk-qt3
fi

if ! is_installed trinity-desktop-applications; then
eval ${PKGINST} trinity-desktop-applications || exit 1
fi

if ! is_installed trinity-desktop-all; then
eval ${PKGINST} trinity-desktop-all || exit 1
fi

# Locales packages
grpiui applications/gwenview-i18n
if ! is_installed trinity-k3b-i18n-French; then
grpiu applications/k3b-i18n
eval ${PKGINST} trinity-k3b-i18n-French || exit 1
fi
if ! is_installed trinity-koffice-i18n-French; then
grpiu applications/koffice-i18n
eval ${PKGINST} trinity-koffice-i18n-French
fi
if ! is_installed trinity-tde-i18n-French; then
grpiu tde-i18n
eval ${PKGINST} trinity-tde-i18n-French || exit 1
fi

exit 0

# Build extra packages
grpiui extras/icons-crystalsvg-updated
grpiui extras/icons-kfaenza
grpiui extras/icons-oxygen
#grpiui extras/kasablanca
#grpiui applications/kbibtex
#grpiui applications/kbiff
#grpiui extras/kcheckgmail
#grpiui extras/kdebluetooth
#grpiui extras/kftpgrabber
grpiui extras/kickoff-i18n
#grpiui extras/knmap
#grpiui extras/knoda
#grpiui extras/ksensors
#grpiui extras/kshowmail
#grpiui extras/mplayerthumbs
eval ${PKGINST} trinity-desktop-applications || exit 1

grpiui extras/style-ia-ora
#if ! is_installed trinity-tdeio-ftps-plugin; then
# grpiu extras/tdeio-ftps
# eval ${PKGINST} trinity-tdeio-ftps-plugin
#fi
#grpiui extras/tdeio-sysinfo
#grpiui extras/theme-baghira
#grpiu 3rdparty/torsocks
#eval ${PKGINST} torsocks
#grpiui extras/tork
#grpiui extras/trinity-desktop
#grpiui extras/trinity-live
#grpiui extras/twinkle
#eval ${PKGINST} trinity-desktop-extras


+ 8
- 6
redhat/buildenv.sh View File

@@ -8,7 +8,9 @@ TDE_GITBASESRC=${TDE_BASEDIR}/tde_r14
TDE_GITBASEPKG=${TDE_BASEDIR}/tde-packaging/redhat
TDE_TARBALLS=${TDE_BASEDIR}/tde-tarballs/${TDE_VERSION}

export PATH="${PATH}:${TDE_GITBASEPKG}"
[ -d "${TDE_PACKAGING_DIR}" ] || export TDE_PACKAGING_DIR=~/tde/tde-packaging

export PATH="${PATH}:${TDE_GITBASEPKG}/build"

# Distribution suffix (e.g: .el6 , .mga3 ...)
export DIST="$( "${TDE_GITBASEPKG}/build/rpmdist.sh" --dist )"
@@ -30,13 +32,13 @@ alias tdep4='(rm -rf ${TDE_TARBALLS}; cd ${TDE_GITBASESRC}; export SUFFIX=0; exp

# Build a single package
alias cdp='cd ~/tde/tde-packaging/redhat'
alias grp3='./genrpm.sh -v 3.5.13.2 -a'
#alias grp4='./genrpm.sh -v 14.0.0 -a'

grp3() {
build_rpm_package.sh "${1}" "3.5.13.2"
}

grp4() {
export PACKAGING_DIR=~/tde/tde-packaging
export PATH="${PACKAGING_DIR}/redhat/build:$PATH"
build_rpm_package.sh "${1}" "${2:-14.0.0}"
build_rpm_package.sh "${1}" "14.0.0"
}

# Check if tarballs are more recent than installed packages

+ 0
- 129
redhat/components-3.5.13.txt View File

@@ -1,129 +0,0 @@
dependencies/qt3
dependencies/tqtinterface
dependencies/avahi-tqt
dependencies/dbus-tqt
dependencies/dbus-1-tqt
dependencies/libcaldav
dependencies/libcarddav
dependencies/arts
dependencies/tqca
dependencies/tqca-tls
main/kdelibs
main/kdebase
main/kdebindings
main/kdemultimedia
main/kdeaccessibility
main/kdeadmin
main/kdeutils
main/kdenetwork
main/kdeartwork
main/kdegames
main/kdetoys
main/kdeedu
main/kdegraphics
main/kdepim
main/kdesdk
main/kdevelop
main/kdewebdev
main/kdeaddons
main/kde-i18n
libraries/libkdcraw
libraries/libkexiv2
libraries/libkipi
libraries/libksquirrel
libraries/python-trinity
libraries/pykdeextensions
applications/abakus
applications/amarok
applications/basket
applications/bibletime
#applications/compizconfig-backend-kconfig
#applications/desktop-effects-kde
applications/digikam
applications/dolphin
applications/filelight
#applications/filelight-l10n
#applications/fusion-icon
applications/gtk-qt-engine
applications/gwenview
applications/gwenview-i18n
applications/k3b
applications/k3b-i18n
applications/k9copy
applications/kaffeine
applications/kaffeine-mozilla
applications/katapult
applications/kbarcode
applications/kbfx
applications/kbookreader
applications/kchmviewer
applications/kcpuload
applications/kdbusnotification
applications/kde-guidance
applications/kde-systemsettings
applications/kde-style-lipstik
applications/kde-style-qtcurve
applications/kdesudo
applications/kdesvn
applications/kdiff3
applications/kdirstat
applications/kdmtheme
applications/keep
applications/kerry
applications/kgtk-qt3
applications/kile
applications/kima
applications/kio-locate
applications/kio-umountwrapper
applications/kiosktool
applications/kmplayer
applications/kmyfirewall
applications/kmymoney
applications/knemo
applications/knetload
applications/knetstats
applications/knetworkmanager
applications/knights
applications/knowit
applications/knutclient
applications/koffice
applications/koffice-i18n
#applications/konstruct
applications/konversation
applications/kopete-otr
applications/kpicosim
applications/kpilot
applications/kpowersave
applications/kradio
applications/krename
applications/krusader
applications/ksplash-engine-moodin
applications/ksquirrel
applications/kstreamripper
applications/ksystemlog
applications/ktechlab
applications/ktorrent
applications/kuickshow
applications/kvkbd
applications/kvirc
applications/kwin-style-crystal
applications/piklab
applications/potracegui
applications/rosegarden
applications/smartcardauth
applications/smb4k
applications/soundkonverter
applications/tellico
applications/wlassistant
applications/yakuake
extras/akode
extras/icons-crystalsvg-updated
extras/icons-kfaenza
extras/icons-oxygen
extras/kasablanca
extras/kcmautostart
extras/ksensors
extras/style-ia-ora
extras/theme-baghira
extras/trinity-desktop
extras/twinkle

+ 0
- 126
redhat/components.txt View File

@@ -1,126 +0,0 @@
dependencies/qt3
dependencies/tqt3
dependencies/tqtinterface
dependencies/arts
dependencies/dbus-tqt
dependencies/dbus-1-tqt
dependencies/tqca
dependencies/tqca-tls
dependencies/avahi-tqt
dependencies/tqscintilla
dependencies/libcaldav
dependencies/libcarddav
kdelibs
kdebase
kdebindings
kdeaccessibility
kdeutils
kdemultimedia
kdenetwork
kdeadmin
kdeartwork
kdegames
kdetoys
kdeedu
kdegraphics
kdeaddons
kdepim
kdesdk
kdevelop
kdewebdev
kde-i18n
libraries/libkdcraw
libraries/libkexiv2
libraries/libkipi
libraries/libksquirrel
libraries/python-trinity
libraries/pykdeextensions
extras/akode
extras/kasablanca
extras/ksensors
extras/libkarma
#extras/libkexif
extras/kdebluetooth
extras/trinity-desktop
extras/trinity-live
applications/k3b
applications/abakus
applications/dolphin
applications/gwenview
applications/krename
applications/yakuake
#applications/desktop-effects-kde
applications/filelight
applications/filelight-l10n
applications/kdiff3
#applications/kuickshow
applications/basket
applications/katapult
#applications/compizconfig-backend-kconfig
applications/kbookreader
applications/kdbusnotification
applications/kmymoney
applications/kstreamripper
applications/kdesudo
applications/digikam
applications/konversation
applications/amarok
applications/kaffeine
applications/knetworkmanager
applications/kwin-style-crystal
applications/kde-style-lipstik
applications/kde-style-qtcurve
applications/kpowersave
applications/kiosktool
applications/k9copy
applications/kchmviewer
applications/kbfx
applications/kradio
applications/kcpuload
applications/fusion-icon
applications/ksplash-engine-moodin
applications/knights
applications/ksquirrel
applications/gtk-qt-engine
applications/koffice
applications/ktechlab
applications/piklab
applications/keep
applications/tellico
applications/kile
applications/kdmtheme
applications/knemo
applications/kerry
applications/kvirc
applications/rosegarden
applications/wlassistant
applications/ktorrent
applications/bibletime
applications/smb4k
applications/knetload
applications/knetstats
applications/knowit
applications/kpilot
applications/kdirstat
applications/kbarcode
applications/kpicosim
applications/kgtk-qt3
applications/kima
applications/kdesvn
applications/kde-guidance
applications/krusader
applications/smartcardauth
applications/kmyfirewall
applications/kopete-otr
applications/kaffeine-mozilla
applications/ksystemlog
applications/kio-locate
#applications/konstruct
applications/kio-umountwrapper
applications/knutclient
applications/kde-systemsettings
applications/kmplayer
applications/kvkbd
applications/potracegui
applications/soundkonverter


+ 0
- 1
redhat/main View File

@@ -1 +0,0 @@
.

redhat/tde-i18n/tde-i18n-14.0.0.spec → redhat/main/tde-i18n/tde-i18n-14.0.0.spec View File


redhat/tde-i18n/tde-i18n-3.5.13.2.spec → redhat/main/tde-i18n/tde-i18n-3.5.13.2.spec View File


redhat/tdeaccessibility/tdeaccessibility-14.0.0.spec → redhat/main/tdeaccessibility/tdeaccessibility-14.0.0.spec View File


redhat/tdeaccessibility/tdeaccessibility-3.5.13.2.spec → redhat/main/tdeaccessibility/tdeaccessibility-3.5.13.2.spec View File


redhat/tdeaddons/tdeaddons-14.0.0.spec → redhat/main/tdeaddons/tdeaddons-14.0.0.spec View File


redhat/tdeaddons/tdeaddons-3.5.13.2.spec → redhat/main/tdeaddons/tdeaddons-3.5.13.2.spec View File


redhat/tdeadmin/kpackagerc → redhat/main/tdeadmin/kpackagerc View File


redhat/tdeadmin/ksysvrc → redhat/main/tdeadmin/ksysvrc View File


redhat/tdeadmin/kuser.pam → redhat/main/tdeadmin/kuser.pam View File


redhat/tdeadmin/kuser.pamd → redhat/main/tdeadmin/kuser.pamd View File


redhat/tdeadmin/kuserrc → redhat/main/tdeadmin/kuserrc View File


redhat/tdeadmin/tdeadmin-14.0.0.spec → redhat/main/tdeadmin/tdeadmin-14.0.0.spec View File


redhat/tdeadmin/tdeadmin-3.5.13.2.spec → redhat/main/tdeadmin/tdeadmin-3.5.13.2.spec View File


redhat/tdeartwork/tdeartwork-14.0.0.spec → redhat/main/tdeartwork/tdeartwork-14.0.0.spec View File


redhat/tdeartwork/tdeartwork-3.5.13.2.spec → redhat/main/tdeartwork/tdeartwork-3.5.13.2.spec View File


redhat/tdebase/file_contexts.el6 → redhat/main/tdebase/file_contexts.el6 View File


redhat/tdebase/file_contexts.fc17 → redhat/main/tdebase/file_contexts.fc17 View File


redhat/tdebase/mgabutton.svg → redhat/main/tdebase/mgabutton.svg View File


redhat/tdebase/pamd.kcheckpass-trinity.el4 → redhat/main/tdebase/pamd.kcheckpass-trinity.el4 View File


redhat/tdebase/pamd.kcheckpass-trinity.el5 → redhat/main/tdebase/pamd.kcheckpass-trinity.el5 View File


redhat/tdebase/pamd.kcheckpass-trinity.el6 → redhat/main/tdebase/pamd.kcheckpass-trinity.el6 View File


redhat/tdebase/pamd.kcheckpass-trinity.el7 → redhat/main/tdebase/pamd.kcheckpass-trinity.el7 View File


redhat/tdebase/pamd.kcheckpass-trinity.fc15 → redhat/main/tdebase/pamd.kcheckpass-trinity.fc15 View File


redhat/tdebase/pamd.kcheckpass-trinity.fc16 → redhat/main/tdebase/pamd.kcheckpass-trinity.fc16 View File


redhat/tdebase/pamd.kcheckpass-trinity.fc17 → redhat/main/tdebase/pamd.kcheckpass-trinity.fc17 View File


redhat/tdebase/pamd.kcheckpass-trinity.fc18 → redhat/main/tdebase/pamd.kcheckpass-trinity.fc18 View File


redhat/tdebase/pamd.kcheckpass-trinity.fc19 → redhat/main/tdebase/pamd.kcheckpass-trinity.fc19 View File


redhat/tdebase/pamd.kcheckpass-trinity.fc20 → redhat/main/tdebase/pamd.kcheckpass-trinity.fc20 View File


redhat/tdebase/pamd.kcheckpass-trinity.mdv2011.0 → redhat/main/tdebase/pamd.kcheckpass-trinity.mdv2011.0 View File


redhat/tdebase/pamd.kcheckpass-trinity.mga2 → redhat/main/tdebase/pamd.kcheckpass-trinity.mga2 View File


redhat/tdebase/pamd.kcheckpass-trinity.mga3 → redhat/main/tdebase/pamd.kcheckpass-trinity.mga3 View File


redhat/tdebase/pamd.kcheckpass-trinity.mga4 → redhat/main/tdebase/pamd.kcheckpass-trinity.mga4 View File


redhat/tdebase/pamd.kcheckpass-trinity.opensuse1220 → redhat/main/tdebase/pamd.kcheckpass-trinity.opensuse1220 View File


redhat/tdebase/pamd.kcheckpass-trinity.pclos2012 → redhat/main/tdebase/pamd.kcheckpass-trinity.pclos2012 View File


redhat/tdebase/pamd.kcheckpass-trinity.pclos2013 → redhat/main/tdebase/pamd.kcheckpass-trinity.pclos2013 View File


redhat/tdebase/pamd.kcheckpass-trinity.pclos2014 → redhat/main/tdebase/pamd.kcheckpass-trinity.pclos2014 View File


redhat/tdebase/pamd.kdm-trinity-np.el4 → redhat/main/tdebase/pamd.kdm-trinity-np.el4 View File


redhat/tdebase/pamd.kdm-trinity-np.el5 → redhat/main/tdebase/pamd.kdm-trinity-np.el5 View File


redhat/tdebase/pamd.kdm-trinity-np.el6 → redhat/main/tdebase/pamd.kdm-trinity-np.el6 View File


redhat/tdebase/pamd.kdm-trinity-np.el7 → redhat/main/tdebase/pamd.kdm-trinity-np.el7 View File


redhat/tdebase/pamd.kdm-trinity-np.fc15 → redhat/main/tdebase/pamd.kdm-trinity-np.fc15 View File


redhat/tdebase/pamd.kdm-trinity-np.fc16 → redhat/main/tdebase/pamd.kdm-trinity-np.fc16 View File


redhat/tdebase/pamd.kdm-trinity-np.fc17 → redhat/main/tdebase/pamd.kdm-trinity-np.fc17 View File


redhat/tdebase/pamd.kdm-trinity-np.fc18 → redhat/main/tdebase/pamd.kdm-trinity-np.fc18 View File


redhat/tdebase/pamd.kdm-trinity-np.fc19 → redhat/main/tdebase/pamd.kdm-trinity-np.fc19 View File


redhat/tdebase/pamd.kdm-trinity-np.fc20 → redhat/main/tdebase/pamd.kdm-trinity-np.fc20 View File


redhat/tdebase/pamd.kdm-trinity-np.mdv2011.0 → redhat/main/tdebase/pamd.kdm-trinity-np.mdv2011.0 View File


redhat/tdebase/pamd.kdm-trinity-np.mga2 → redhat/main/tdebase/pamd.kdm-trinity-np.mga2 View File


redhat/tdebase/pamd.kdm-trinity-np.mga3 → redhat/main/tdebase/pamd.kdm-trinity-np.mga3 View File


redhat/tdebase/pamd.kdm-trinity-np.mga4 → redhat/main/tdebase/pamd.kdm-trinity-np.mga4 View File


redhat/tdebase/pamd.kdm-trinity-np.pclos2012 → redhat/main/tdebase/pamd.kdm-trinity-np.pclos2012 View File


redhat/tdebase/pamd.kdm-trinity-np.pclos2013 → redhat/main/tdebase/pamd.kdm-trinity-np.pclos2013 View File


redhat/tdebase/pamd.kdm-trinity-np.pclos2014 → redhat/main/tdebase/pamd.kdm-trinity-np.pclos2014 View File


redhat/tdebase/pamd.kdm-trinity.el4 → redhat/main/tdebase/pamd.kdm-trinity.el4 View File


redhat/tdebase/pamd.kdm-trinity.el5 → redhat/main/tdebase/pamd.kdm-trinity.el5 View File


redhat/tdebase/pamd.kdm-trinity.el6 → redhat/main/tdebase/pamd.kdm-trinity.el6 View File


redhat/tdebase/pamd.kdm-trinity.el7 → redhat/main/tdebase/pamd.kdm-trinity.el7 View File


redhat/tdebase/pamd.kdm-trinity.fc15 → redhat/main/tdebase/pamd.kdm-trinity.fc15 View File


redhat/tdebase/pamd.kdm-trinity.fc16 → redhat/main/tdebase/pamd.kdm-trinity.fc16 View File


redhat/tdebase/pamd.kdm-trinity.fc17 → redhat/main/tdebase/pamd.kdm-trinity.fc17 View File


redhat/tdebase/pamd.kdm-trinity.fc18 → redhat/main/tdebase/pamd.kdm-trinity.fc18 View File


redhat/tdebase/pamd.kdm-trinity.fc19 → redhat/main/tdebase/pamd.kdm-trinity.fc19 View File


redhat/tdebase/pamd.kdm-trinity.fc20 → redhat/main/tdebase/pamd.kdm-trinity.fc20 View File


redhat/tdebase/pamd.kdm-trinity.mdv2011.0 → redhat/main/tdebase/pamd.kdm-trinity.mdv2011.0 View File


redhat/tdebase/pamd.kdm-trinity.mga2 → redhat/main/tdebase/pamd.kdm-trinity.mga2 View File


redhat/tdebase/pamd.kdm-trinity.mga3 → redhat/main/tdebase/pamd.kdm-trinity.mga3 View File


redhat/tdebase/pamd.kdm-trinity.mga4 → redhat/main/tdebase/pamd.kdm-trinity.mga4 View File


redhat/tdebase/pamd.kdm-trinity.pclos2012 → redhat/main/tdebase/pamd.kdm-trinity.pclos2012 View File


redhat/tdebase/pamd.kdm-trinity.pclos2013 → redhat/main/tdebase/pamd.kdm-trinity.pclos2013 View File


redhat/tdebase/pamd.kdm-trinity.pclos2014 → redhat/main/tdebase/pamd.kdm-trinity.pclos2014 View File


redhat/tdebase/pamd.kscreensaver-trinity.el4 → redhat/main/tdebase/pamd.kscreensaver-trinity.el4 View File


redhat/tdebase/pamd.kscreensaver-trinity.el5 → redhat/main/tdebase/pamd.kscreensaver-trinity.el5 View File


redhat/tdebase/pamd.kscreensaver-trinity.el6 → redhat/main/tdebase/pamd.kscreensaver-trinity.el6 View File


redhat/tdebase/pamd.kscreensaver-trinity.el7 → redhat/main/tdebase/pamd.kscreensaver-trinity.el7 View File


redhat/tdebase/pamd.kscreensaver-trinity.fc15 → redhat/main/tdebase/pamd.kscreensaver-trinity.fc15 View File


redhat/tdebase/pamd.kscreensaver-trinity.fc16 → redhat/main/tdebase/pamd.kscreensaver-trinity.fc16 View File


redhat/tdebase/pamd.kscreensaver-trinity.fc17 → redhat/main/tdebase/pamd.kscreensaver-trinity.fc17 View File


redhat/tdebase/pamd.kscreensaver-trinity.fc18 → redhat/main/tdebase/pamd.kscreensaver-trinity.fc18 View File


redhat/tdebase/pamd.kscreensaver-trinity.fc19 → redhat/main/tdebase/pamd.kscreensaver-trinity.fc19 View File


redhat/tdebase/pamd.kscreensaver-trinity.fc20 → redhat/main/tdebase/pamd.kscreensaver-trinity.fc20 View File


redhat/tdebase/pamd.kscreensaver-trinity.mdv2011.0 → redhat/main/tdebase/pamd.kscreensaver-trinity.mdv2011.0 View File


redhat/tdebase/pamd.kscreensaver-trinity.mga2 → redhat/main/tdebase/pamd.kscreensaver-trinity.mga2 View File


redhat/tdebase/pamd.kscreensaver-trinity.mga3 → redhat/main/tdebase/pamd.kscreensaver-trinity.mga3 View File


redhat/tdebase/pamd.kscreensaver-trinity.mga4 → redhat/main/tdebase/pamd.kscreensaver-trinity.mga4 View File


redhat/tdebase/pamd.kscreensaver-trinity.pclos2012 → redhat/main/tdebase/pamd.kscreensaver-trinity.pclos2012 View File


redhat/tdebase/pamd.kscreensaver-trinity.pclos2013 → redhat/main/tdebase/pamd.kscreensaver-trinity.pclos2013 View File


redhat/tdebase/pamd.kscreensaver-trinity.pclos2014 → redhat/main/tdebase/pamd.kscreensaver-trinity.pclos2014 View File


redhat/tdebase/suse-displaymanagers-tdm → redhat/main/tdebase/suse-displaymanagers-tdm View File


Some files were not shown because too many files changed in this diff

Loading…
Cancel
Save